/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.settings.AppSettingsBasePanel', {
  extend : 'Ext.form.Panel',

  requires : [
    'QDesk.Msg'
  ],

  layout : {
    type : 'anchor'
  },

  defaults : {
    anchor : '100%'
  },

  fieldDefaults : {
    labelWidth : 60
  },

  border : false,

  bodyPadding : '3px 10px 5px 10px',

  qdesk : {
    /*
     * ID of the tree node in the AppSettingsTreePanel upon whose selection this
     * panel should be activated.
     */
    nodeId : undefined
  }
} );
