/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz scheduler job detail data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.JobDetail} class.
 */
Ext.define( 'QDesk.model.quartz.JobDetail', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'name', type : 'string' },

    { name : 'group', type : 'QDesk.model.quartz.JobGroup' },

    { name : 'description', type : 'string' },

    { name : 'jobClass', type : 'string' },

    { name : 'durability', type : 'boolean' },

    { name : 'shouldRecover', type : 'boolean' },

    /* auto type */
    { name : 'jobDataMap', type : 'auto' },

    { name : 'volatility', type : 'boolean' },

    /*
     * QuartzDesk job monitoring URL.
     * Read-only property.
     */
    { name : 'monitoringUrl', type : 'string' }
  ]} );
