/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz execution statistics chart data model.
 */
Ext.define( 'QDesk.model.quartz.stats.ExecStatData', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'period', type : 'auto' },
    { name : 'periodChartDisplayName', type : 'string' },
    { name : 'complete', type : 'boolean', useNull : true },

    { name : 'jobGroupName', type : 'string' },
    { name : 'jobName', type : 'string' },
    { name : 'jobDisplayName', type : 'string' },

    { name : 'triggerGroupName', type : 'string' },
    { name : 'triggerName', type : 'string' },
    { name : 'triggerDisplayName', type : 'string' },

    { name : 'countSuccess', type : 'int', useNull : true },
    { name : 'countVeto', type : 'int', useNull : true },
    { name : 'countError', type : 'int', useNull : true },
    { name : 'countSuccessError', type : 'int', useNull : true },

    { name : 'timeSuccess', type : 'int', useNull : true },
    { name : 'timeVeto', type : 'int', useNull : true }, // always 0
    { name : 'timeError', type : 'int', useNull : true },
    { name : 'timeSuccessError', type : 'int', useNull : true },

    { name : 'avgTimeSuccess', type : 'float', useNull : true },
    { name : 'avgTimeVeto', type : 'float', useNull : true }, // always 0
    { name : 'avgTimeError', type : 'float', useNull : true },
    { name : 'avgTimeSuccessError', type : 'float', useNull : true }
  ]} );
