/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_yahoo.ImYahooAdvancedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImYahooAdvancedPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 75
  },

  title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_yahoo.ImYahooAdvancedPanel.tabLabelAdvanced' ),

  items : [
    {
      xtype : 'textfield',
      itemId : 'loginHost',
      name : 'loginHost',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_yahoo.ImYahooAdvancedPanel.fieldLabelLoginHost' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_yahoo.ImYahooAdvancedPanel.fieldEmptyTxtLoginHost' ),
      value : 'login.yahoo.com',
      allowBlank : false,
      qdesk : {
        required : true
      }
    }
  ]
} );
